Skip to main content

Reschedule booking

Method PUT

https://my.easyweek.io/api/public/v2/bookings/{booking_uuid}/reschedule

Description: This endpoint moves an existing booking to a new start time. The new slot must be available. A booking that is already completed or canceled cannot be rescheduled (409).

Example Request

curl -i -X PUT \
https://my.easyweek.io/api/public/v2/bookings/{booking_uuid}/reschedule \
-H 'Authorization: Bearer <YOUR_SECRET>' \
-H 'Workspace: <YOUR_WORKSPACE>'

Request body

{
"reserved_on": "2026-08-16T15:00:00Z",
"is_send_notification_on_reschedule": true
}

Path Parameters

  • booking_uuid (string, required): The unique identifier of the booking to reschedule.

Body Parameters

  • reserved_on (string, required): The new start time, UTC ISO 8601 (YYYY-MM-DDTHH:MM:SSZ).
  • is_send_notification_on_reschedule (boolean, optional): Whether to notify the customer about the change.

Example Response

{
"uuid": "f017724b-d95a-4267-8704-df99a9edaf56",
"location_uuid": "123b2980-3506-4f8c-abce-97e1ab653406",
"start_time": "2026-08-16T15:00:00Z",
"end_time": "2026-08-16T15:30:00Z",
"timezone": "Europe/Berlin",
"duration": { "value": 30, "label": "minutes", "iso_8601": "PT30M" },
"quantity": 1,
"slots_count": 1,
"cancel_reason": null,
"canceled_by": null,
"is_canceled": false,
"is_completed": false,
"public_notes": "Hello world",
"currency": "EUR",
"policy": {
"policy_text": null,
"is_cancelable": true,
"cancellation_offset": 0,
"cancellation_text": null,
"is_changeable": true,
"change_offset": 0,
"change_text": null
},
"links": [
{ "type": "ical", "link": "https://my.easyweek.io/api/notifications/bookings/6929741/icalendar" },
{ "type": "google_meet", "link": "" },
{ "type": "zoom", "link": "" },
{ "type": "microsoft_teams", "link": "" }
],
"order": {
"tax": [],
"subtotal": 10000,
"subtotal_formatted": "€100.00",
"amount_paid": 0,
"amount_paid_formatted": "€0.00",
"total": 10000,
"total_formatted": "€100.00"
},
"ordered_services": [
{
"uuid": "ce889d66-dbf5-462f-bf67-a0dec4a48941",
"timezone": "Europe/Berlin",
"reserved_on": "2026-08-16T15:00:00Z",
"reserved_until": "2026-08-16T15:30:00Z",
"quantity": 1,
"name": "Beard trim",
"currency": "EUR",
"price": 10000,
"price_formatted": "€100.00",
"discount": 0,
"discount_formatted": "€0.00",
"original_price": 10000,
"original_price_formatted": "€100.00",
"tax_name": null,
"tax_value": null,
"duration": { "value": 30, "label": "minutes", "iso_8601": "PT30M" },
"original_duration": { "value": 30, "label": "minutes", "iso_8601": "PT30M" }
}
]
}